This is the documentation directory of McStas

It contains the User and Component Manuals.
Additionally, the 'mcdoc' (mcdoc.pl on Windows)  tool may be used with the syntax:

Usage: mcdoc [options] <dir|file>
   -f    --force   Force re-writting of existing HTML doc locally
   -h    --help    Show this help
   -l    --tools   Display the McStas tools list
   -m    --manual  Open the McStas manual
   -s    --show    Open the generated help file using the BROWSER env. variable
   -t    --text    For single component, display as text
   -w    --web     Open the McStas web page http://neutron.risoe.dk/mcstas/
SEE ALSO: mcstas, mcdoc, mcplot, mcrun, mcgui, mcresplot, mcstas2vitess
DOC:      Please visit http://neutron.risoe.dk/mcstas/

For instance, to access the McStas web site, type:
  
  mcdoc --web
  
To access the McStas User Manual, type

  mcdoc --manual
  
To browse the component library, type

  mcdoc --show
  
Finally, to display the help for a single component, type for instance

  mcdoc Guide.comp

or

  mcdoc --text Guide.comp
  
Except for the last example, all mcdoc calls will requires BROWSER to be defined.
Usually, BROWSER is set as 'netscape', 'konqueror', 'safari', nautilus', etc
  
The list of available McStas Tools is

   mcstas        Main instrument compiler
   mcrun         Instrument maker and execution utility
   mcgui         Graphical User Interface instrument builder
   mcdoc         Component library documentation generator/viewer
   mcplot        Simulation result viewer
   mcdisplay     Instrument geometry viewer
   mcresplot     Instrument resolution function viewer
   mcstas2vitess McStas to Vitess component translation utility
When used with the -h flag, all tools display a specific help.
